# BaseEditor Class Reference
[Spring-like webflow tools]

Inheritance diagram for BaseEditor:
[legend]

List of all members.

## Public Member Functions

| __construct (Prototyped $subject)
| postHandleRequest (ModelAndView $mav, HttpRequest $request)
| getForm ()

## Public Attributes

const | COMMAND_SUCCEEDED = 'success'
const | COMMAND_FAILED = 'error'

## Protected Attributes

| $commandMap = array()
| $defaultAction = 'edit'
| $map = null
| $subject = null
| $idFieldName = null

## Detailed Description

Definition at line 15 of file BaseEditor.class.php.

## Constructor & Destructor Documentation

BaseEditor::__construct | ( | Prototyped $ | subject | ) |

Reimplemented in EditorController, and MonolithicController.

Definition at line 29 of file BaseEditor.class.php.

References Primitive::alias(), Primitive::choice(), MappedForm::create(), RequestType::get(), RequestType::post(), and Prototyped::proto().

Here is the call graph for this function:

## Member Function Documentation

BaseEditor::getForm | ( |  | ) |

Returns:
  Form

Definition at line 85 of file BaseEditor.class.php.

Referenced by MonolithicController::handleRequest(), EditorController::handleRequest(), and postHandleRequest().

BaseEditor::postHandleRequest | ( | ModelAndView $ | mav,
|  | HttpRequest $ | request |
| ) |  |  |

Returns:
  ModelAndView

Definition at line 57 of file BaseEditor.class.php.

References getForm(), ModelAndView::getModel(), ModelAndView::getView(), and ModelAndView::setView().

Referenced by MonolithicController::handleRequest(), and EditorController::handleRequest().

Here is the call graph for this function:

## Member Data Documentation

BaseEditor::$commandMap = array()`[protected]`

Definition at line 21 of file BaseEditor.class.php.

BaseEditor::$defaultAction = 'edit'`[protected]`

Definition at line 22 of file BaseEditor.class.php.

BaseEditor::$idFieldName = null`[protected]`

Definition at line 27 of file BaseEditor.class.php.

BaseEditor::$map = null`[protected]`

Definition at line 24 of file BaseEditor.class.php.

BaseEditor::$subject = null`[protected]`

Definition at line 25 of file BaseEditor.class.php.

const BaseEditor::COMMAND_FAILED = 'error'

Definition at line 18 of file BaseEditor.class.php.

Referenced by ForbiddenCommand::run(), and CommandChain::run().

const BaseEditor::COMMAND_SUCCEEDED = 'success'

Definition at line 17 of file BaseEditor.class.php.

Referenced by DropCommand::run().

The documentation for this class was generated from the following file:

- main/Flow/BaseEditor.class.php